CRLBag (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.pkcs

## Class CRLBag

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.pkcs.CRLBag

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CRLBag
      extends ASN1Object

  CRL Bag for PKCS#12

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRLBag(ASN1ObjectIdentifier crlId, ASN1Encodable crlValue)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getCrlId()`
    `ASN1Encodable` | `getCrlValue()`
    `static CRLBag` | `getInstance(java.lang.Object o)`
    `ASN1Primitive` | `toASN1Primitive()` CRLBag ::= SEQUENCE { crlId BAG-TYPE.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CRLBag

          public CRLBag(ASN1ObjectIdentifier crlId,
                        ASN1Encodable crlValue)

  - ### Method Detail

    - #### getInstance

          public static CRLBag getInstance(java.lang.Object o)

    - #### getCrlId

          public ASN1ObjectIdentifier getCrlId()

    - #### getCrlValue

          public ASN1Encodable getCrlValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           CRLBag ::= SEQUENCE {
           crlId  BAG-TYPE.&id ({CRLTypes}),
           crlValue  [0] EXPLICIT BAG-TYPE.&Type ({CRLTypes}{@crlId})
           }

           x509CRL BAG-TYPE ::= {OCTET STRING IDENTIFIED BY {certTypes 1}
           -- DER-encoded X.509 CRL stored in OCTET STRING

           CRLTypes BAG-TYPE ::= {
           x509CRL,
           ... -- For future extensions
           }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.